Open CASCADE Technology: GccInt_BElips Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
GccInt_BElips Class Reference

Describes an ellipse as a bisecting curve between two 2D geometric objects (such as circles or points). More...

`#include <GccInt_BElips.hxx>`

Inheritance diagram for GccInt_BElips:
[legend]

## Public Member Functions
| GccInt_BElips (const gp_Elips2d &Ellipse)
| Constructs a bisecting curve whose geometry is the 2D ellipse Ellipse. More...
virtual gp_Elips2d | Ellipse () const
| Returns a 2D ellipse which is the geometry of this bisecting curve. More...
GccInt_IType | ArcType () const
| Returns GccInt_Ell, which is the type of any GccInt_BElips bisecting curve. More...
Public Member Functions inherited from GccInt_Bisec
virtual gp_Pnt2d | Point () const
| Returns the bisecting line when ArcType returns Pnt. An exception DomainError is raised if ArcType is not a Pnt. More...
virtual gp_Lin2d | Line () const
| Returns the bisecting line when ArcType returns Lin. An exception DomainError is raised if ArcType is not a Lin. More...
virtual gp_Circ2d | Circle () const
| Returns the bisecting line when ArcType returns Cir. An exception DomainError is raised if ArcType is not a Cir. More...
virtual gp_Hypr2d | Hyperbola () const
| Returns the bisecting line when ArcType returns Hpr. An exception DomainError is raised if ArcType is not a Hpr. More...
virtual gp_Parab2d | Parabola () const
| Returns the bisecting line when ArcType returns Par. An exception DomainError is raised if ArcType is not a Par. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Describes an ellipse as a bisecting curve between two 2D geometric objects (such as circles or points).

## Constructor & Destructor Documentation

GccInt_BElips::GccInt_BElips | ( | const gp_Elips2d & | Ellipse | ) |

Constructs a bisecting curve whose geometry is the 2D ellipse Ellipse.

## Member Function Documentation

GccInt_IType GccInt_BElips::ArcType | ( |  | ) | const
| virtual

Returns GccInt_Ell, which is the type of any GccInt_BElips bisecting curve.

Implements GccInt_Bisec.

virtual gp_Elips2d GccInt_BElips::Ellipse | ( |  | ) | const
| virtual

Returns a 2D ellipse which is the geometry of this bisecting curve.

Reimplemented from GccInt_Bisec.

The documentation for this class was generated from the following file:

- GccInt_BElips.hxx